use strict

require 'subhtml.pl';
	
my ($file1, $file2) = @ARGV;
my (%preCastellan, %castellan);

open(FH, '<', $file1) or die "$file1J܂\n";
my ($toride, $guild);
while (<FH>) {
	chomp;
	next if (/^\s*#/);
	($toride, $guild) = split /\t/;
	$preCastellan{$toride} = $guild;
}	
close(FH);

open(FH, '<', $file2) or die "$file2J܂\n";
my ($toride, $guild);
while (<FH>) {
	chomp;
	next if (/^\s*#/);
	($toride, $guild) = split /\t/;
	$castellan{$toride} = $guild;
}	
close(FH);

my ($outFileName) = split /\./, $file2;
open(OUT, '>', $outFileName . '.html') or die "$outFineNameJ܂\n";
htmlhead("Ԏ僊Xg");
print OUT "<h2>$outFileNameԎ僊Xg</h2>";
print OUT "<table border=5>\n<tr aling=center><th>Ԗ</th><th>T̍Ԏ</th><th>T̍Ԏ</th></tr>\n";

for (sort keys %castellan) {
	print OUT "<tr aling=center><td>$_</td><td>$preCastellan{$_}</td><td>$castellan{$_}</td></tr>\n";
}
print OUT "</table>\n";
htmltail();

close(OUT);
